Bio::Structure::Model(3)

NAME
Bio::Structure::Model - Bioperl structure Object, describes a Model

SYNOPSIS
  #add synopsis here

DESCRIPTION
This object stores a Bio::Structure::Chain

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Kris Boulez
Email kris.boulez@algonomics.com

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new()
 Title   : new()
 Usage   : $struc = Bio::Structure::Model->new(
                                           -id  => 'human_id',
                                           );

 Function: Returns a new Bio::Structure::Model object from basic
        constructors. Probably most called from Bio::Structure::IO.
 Returns : a new Bio::Structure::Model object

  chain()
 Title   : chain
 Usage   :
 Function: will eventually allow parent/child navigation not via an Entry object
 Returns :
 Args    :

  add_chain()
 Title   : add_chain
 Usage   :
 Function:  will eventually allow parent/child navigation not via an Entry object
 Returns :
 Args    :

  entry()
 Title   : entry
 Usage   :
 Function:  will eventually allow parent/child navigation not via an Entry object
 Returns :
 Args    :

  id()
 Title   : id
 Usage   : $model->id("model 5")
 Function: Gets/sets the ID for this model
 Returns : the ID
 Args    : the ID

  residue()
 Title   : residue
 Usage   :
 Function:  will eventually allow parent/child navigation not via an Entry object
 Returns :
 Args    :

  add_residue()
 Title   : add_residue
 Usage   :
 Function:  will eventually allow parent/child navigation not via an Entry object
 Returns :
 Args    :

  _remove_chains()
 Title   : _remove_chains
 Usage   :
 Function: Removes the chains attached to a Model. Tells the chains they
        don't belong to this Model any more
 Returns :
 Args    :

  _remove_entry()
 Title   : _remove_entry
 Usage   :
 Function: Removes the Entry this Model is atttached to.
 Returns :
 Args    :

  _create_default_chain()
 Title   : _create_default_chain
 Usage   :
 Function: Creates a default Chain for this Model. Typical situation
        in an X-ray structure where there is only one chain
 Returns :
 Args    :

  _grandparent()
 Title   : _grandparent
 Usage   :
 Function: get/set a symbolic reference to our grandparent
 Returns :
 Args    :